/*********************************
 * Steven Stanek
 * April 29, 2001
 * YZChess.h
 * 
 * This file contains all enums, structs and constants for YZChess
 * There should be no function prototypes
 *********************************/

#ifndef yzchess_H
#define yzchess_H

#include	"yziform.h"

#define bool int
#define true 1
#define	false 0
#define PIECE_SIDE 50
#define NUM_SQUARES_WIDE 8
#define	NUM_SQUARES_TALL 8
#define BOTTOM_BUFFER	33
#define BOTTOM_START  PIECE_SIDE*NUM_SQUARES_TALL
#define WINDOW_HEIGHT PIECE_SIDE*NUM_SQUARES_TALL + BOTTOM_BUFFER
#define	WINDOW_WIDTH PIECE_SIDE*NUM_SQUARES_WIDE
#define GRAY_LEVEL 30000
#define PIECES_FN	"pieces.dat"
#define EXIT_WINDOW_WIDTH 

typedef enum
{
	pawn, rook, knight, bishop, king, queen
} piece_type_t;


typedef struct
{
	piece_type_t type;
	bool isWhite;
	yzImage pic;
} piece_t;


typedef struct
{
	piece_t *contains;
	bool isSelected;
	bool isWhite;
} square_t;


typedef struct
{
	int start_x, start_y; //Square Numbers, not pixel locations
	int end_x, end_y;
} move_t;

typedef struct
{
	yzImage bpawn, wpawn, brook, wrook, bknight, wknight;
	yzImage bbishop, wbishop, bqueen, wqueen, bking, wking;
	yzImage exitbutton, about;
	yzImage blackmate, whitemate;
} picture_t;

#endif